language: php

sudo: false

cache:
    - $HOME/composer/cache/files
    - $HOME/.phpunit_bridge

env:
    global:
        - SYMFONY_PHPUNIT_DIR=$HOME/.phpunit_bridge

php:
    - nightly
    - 7.4
    - 7.3
    - 7.2
    - 7.1

install:
    - composer update
    - vendor/bin/simple-phpunit install

script:
    - vendor/bin/simple-phpunit
